TechDraw AngleDimension

From FreeCAD Documentation
Revision as of 20:24, 25 July 2023 by Roy 043 (talk | contribs) (Description)

TechDraw AngleDimension

Menu location
TechDraw → Dimensions → Insert Angle Dimension
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw 3PtAngleDimension

Description

The TechDraw AngleDimension tool adds an angular dimension to a View. The dimension shows the interior angle between two straight edges.

Measuring the angle between two straight lines

Usage

  1. Select the points or edge which define your measurement.
  2. Press the Insert Angle Dimension button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.
  4. If needed, add tolerances as described on this page.

To change the properties of a dimension object either double-click it in the drawing or in the Tree view. This will open the dimension dialog.

Limitations

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension for more information.

Properties

See TechDraw LengthDimension.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

The Angle Dimension tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)